karaf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jbono...@apache.org
Subject [1/2] karaf git commit: [KARAF-4564] Can't start karaf using symbolic link
Date Sun, 12 Jun 2016 20:31:38 GMT
Repository: karaf
Updated Branches:
  refs/heads/karaf-3.0.x de2fd816c -> c9d7be1b7


[KARAF-4564] Can't start karaf using symbolic link

Signed-off-by: Alexis de Talhouët <adetalhouet@inocybe.com>


Project: http://git-wip-us.apache.org/repos/asf/karaf/repo
Commit: http://git-wip-us.apache.org/repos/asf/karaf/commit/65f55dca
Tree: http://git-wip-us.apache.org/repos/asf/karaf/tree/65f55dca
Diff: http://git-wip-us.apache.org/repos/asf/karaf/diff/65f55dca

Branch: refs/heads/karaf-3.0.x
Commit: 65f55dca52d66b15ea50b25fb54bed50a3c7fa3e
Parents: de2fd81
Author: Alexis de Talhouët <adetalhouet@inocybe.com>
Authored: Wed Jun 8 17:28:59 2016 -0400
Committer: Jean-Baptiste Onofré <jbonofre@apache.org>
Committed: Sun Jun 12 20:52:11 2016 +0200

----------------------------------------------------------------------
 .../src/main/filtered-resources/resources/bin/client         | 8 ++++++--
 .../src/main/filtered-resources/resources/bin/instance       | 8 ++++++--
 .../src/main/filtered-resources/resources/bin/shell          | 8 ++++++--
 .../src/main/filtered-resources/resources/bin/start          | 8 ++++++--
 .../src/main/filtered-resources/resources/bin/status         | 8 ++++++--
 .../framework/src/main/filtered-resources/resources/bin/stop | 8 ++++++--
 .../framework/src/main/resources/resources/bin/karaf         | 8 ++++++--
 7 files changed, 42 insertions(+), 14 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/karaf/blob/65f55dca/assemblies/features/framework/src/main/filtered-resources/resources/bin/client
----------------------------------------------------------------------
diff --git a/assemblies/features/framework/src/main/filtered-resources/resources/bin/client
b/assemblies/features/framework/src/main/filtered-resources/resources/bin/client
index 4fdccfc..9376266 100755
--- a/assemblies/features/framework/src/main/filtered-resources/resources/bin/client
+++ b/assemblies/features/framework/src/main/filtered-resources/resources/bin/client
@@ -16,8 +16,12 @@
 #    limitations under the License.
 #
 
-DIRNAME=`dirname "$0"`
-PROGNAME=`basename "$0"`
+REALNAME=`readlink -e "$0" > /dev/null 2>&1`
+if [ $? != 0 ]; then
+    REALNAME=$0
+fi
+DIRNAME=`dirname "$REALNAME"`
+PROGNAME=`basename "$REALNAME"`
 
 #
 # Sourcing environment settings for karaf similar to tomcats setenv

http://git-wip-us.apache.org/repos/asf/karaf/blob/65f55dca/assemblies/features/framework/src/main/filtered-resources/resources/bin/instance
----------------------------------------------------------------------
diff --git a/assemblies/features/framework/src/main/filtered-resources/resources/bin/instance
b/assemblies/features/framework/src/main/filtered-resources/resources/bin/instance
index 32bfe8a..b173f7d 100755
--- a/assemblies/features/framework/src/main/filtered-resources/resources/bin/instance
+++ b/assemblies/features/framework/src/main/filtered-resources/resources/bin/instance
@@ -16,8 +16,12 @@
 #    limitations under the License.
 #
 
-DIRNAME=`dirname "$0"`
-PROGNAME=`basename "$0"`
+REALNAME=`readlink -e "$0" > /dev/null 2>&1`
+if [ $? != 0 ]; then
+    REALNAME=$0
+fi
+DIRNAME=`dirname "$REALNAME"`
+PROGNAME=`basename "$REALNAME"`
 
 #
 # Sourcing environment settings for karaf similar to tomcats setenv

http://git-wip-us.apache.org/repos/asf/karaf/blob/65f55dca/assemblies/features/framework/src/main/filtered-resources/resources/bin/shell
----------------------------------------------------------------------
diff --git a/assemblies/features/framework/src/main/filtered-resources/resources/bin/shell
b/assemblies/features/framework/src/main/filtered-resources/resources/bin/shell
index 6fa429e..ab02e37 100755
--- a/assemblies/features/framework/src/main/filtered-resources/resources/bin/shell
+++ b/assemblies/features/framework/src/main/filtered-resources/resources/bin/shell
@@ -16,8 +16,12 @@
 #    limitations under the License.
 #
 
-DIRNAME=`dirname "$0"`
-PROGNAME=`basename "$0"`
+REALNAME=`readlink -e "$0" > /dev/null 2>&1`
+if [ $? != 0 ]; then
+    REALNAME=$0
+fi
+DIRNAME=`dirname "$REALNAME"`
+PROGNAME=`basename "$REALNAME"`
 
 #
 # Sourcing environment settings for karaf similar to tomcats setenv

http://git-wip-us.apache.org/repos/asf/karaf/blob/65f55dca/assemblies/features/framework/src/main/filtered-resources/resources/bin/start
----------------------------------------------------------------------
diff --git a/assemblies/features/framework/src/main/filtered-resources/resources/bin/start
b/assemblies/features/framework/src/main/filtered-resources/resources/bin/start
index 014b702..81e4e79 100755
--- a/assemblies/features/framework/src/main/filtered-resources/resources/bin/start
+++ b/assemblies/features/framework/src/main/filtered-resources/resources/bin/start
@@ -16,8 +16,12 @@
 #    limitations under the License.
 #
 
-DIRNAME=`dirname "$0"`
-PROGNAME=`basename "$0"`
+REALNAME=`readlink -e "$0" > /dev/null 2>&1`
+if [ $? != 0 ]; then
+    REALNAME=$0
+fi
+DIRNAME=`dirname "$REALNAME"`
+PROGNAME=`basename "$REALNAME"`
 
 #
 # Sourcing environment settings for karaf similar to tomcats setenv 

http://git-wip-us.apache.org/repos/asf/karaf/blob/65f55dca/assemblies/features/framework/src/main/filtered-resources/resources/bin/status
----------------------------------------------------------------------
diff --git a/assemblies/features/framework/src/main/filtered-resources/resources/bin/status
b/assemblies/features/framework/src/main/filtered-resources/resources/bin/status
index 6747de4..5b19c6f 100755
--- a/assemblies/features/framework/src/main/filtered-resources/resources/bin/status
+++ b/assemblies/features/framework/src/main/filtered-resources/resources/bin/status
@@ -16,8 +16,12 @@
 #    limitations under the License.
 #
 
-DIRNAME=`dirname "$0"`
-PROGNAME=`basename "$0"`
+REALNAME=`readlink -e "$0" > /dev/null 2>&1`
+if [ $? != 0 ]; then
+    REALNAME=$0
+fi
+DIRNAME=`dirname "$REALNAME"`
+PROGNAME=`basename "$REALNAME"`
 
 #
 # Sourcing environment settings for karaf similar to tomcats setenv 

http://git-wip-us.apache.org/repos/asf/karaf/blob/65f55dca/assemblies/features/framework/src/main/filtered-resources/resources/bin/stop
----------------------------------------------------------------------
diff --git a/assemblies/features/framework/src/main/filtered-resources/resources/bin/stop
b/assemblies/features/framework/src/main/filtered-resources/resources/bin/stop
index 5ae21fd..3efa701 100755
--- a/assemblies/features/framework/src/main/filtered-resources/resources/bin/stop
+++ b/assemblies/features/framework/src/main/filtered-resources/resources/bin/stop
@@ -16,8 +16,12 @@
 #    limitations under the License.
 #
 
-DIRNAME=`dirname "$0"`
-PROGNAME=`basename "$0"`
+REALNAME=`readlink -e "$0" > /dev/null 2>&1`
+if [ $? != 0 ]; then
+    REALNAME=$0
+fi
+DIRNAME=`dirname "$REALNAME"`
+PROGNAME=`basename "$REALNAME"`
 
 #
 # Sourcing environment settings for karaf similar to tomcats setenv 

http://git-wip-us.apache.org/repos/asf/karaf/blob/65f55dca/assemblies/features/framework/src/main/resources/resources/bin/karaf
----------------------------------------------------------------------
diff --git a/assemblies/features/framework/src/main/resources/resources/bin/karaf b/assemblies/features/framework/src/main/resources/resources/bin/karaf
index 5bc784b..fd2d21e 100755
--- a/assemblies/features/framework/src/main/resources/resources/bin/karaf
+++ b/assemblies/features/framework/src/main/resources/resources/bin/karaf
@@ -16,8 +16,12 @@
 #    limitations under the License.
 #
 
-DIRNAME=`dirname "$0"`
-PROGNAME=`basename "$0"`
+REALNAME=`readlink -e "$0" > /dev/null 2>&1`
+if [ $? != 0 ]; then
+    REALNAME=$0
+fi
+DIRNAME=`dirname "$REALNAME"`
+PROGNAME=`basename "$REALNAME"`
 
 #
 # Sourcing environment settings for karaf similar to tomcats setenv


Mime
View raw message